The ModelChangedEvent is fired by a ObservableElement when a child element has a change. This is a convenience event which you can listen to e.g. within a RealTimeContainerElement when you'd like to know about any changes to the data within.

### Hierarchy

- ModelChangedEvent

### Implements

- IConvergenceModelValueEvent

## Index

### Properties

- childEvent
- element
- local
- name
- relativePath
- sessionId
- user
- NAME

## Properties

### childEvent

childEvent: IValueChangedEvent

The actual, more granular event.

### element

element: ObservableElement<any>

Implementation of IConvergenceModelValueEvent.element

The RealTimeElement or HistoricalElement whose contents changed.

### local

local: boolean

Implementation of IConvergenceModelValueEvent.local

### name

name: string = ModelChangedEvent.NAME

Implementation of IConvergenceModelValueEvent.name

The name of the event that was fired. This is commonly used to filter when using the ConvergenceEventEmitter.events stream.

Note that the name is only guaranteed to be unique within the class / subsystem that is firing it. Names might be reused across classes and subsystems.

### relativePath

relativePath: Path

The Path of the RealTimeElement on which the specific event occurred.

### sessionId

sessionId: string

The sessionId corresponding to the session that performed the modification

### user

user: DomainUser

The user which performed the modification

### StaticNAME

NAME: "model_changed" = "model_changed"